Create an instant payment
curl --request POST \
--url https://b2b-api.dev-riseworks.io/v2/payments/external_entity/instant \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"from": "<string>",
"amount_cents": 5000000050,
"payment_data": {
"role_description": "<string>",
"invoice_description": "<string>",
"rise_sow": true,
"services_description": "",
"payment_details": "",
"sow_link": "<string>",
"reason_id": 123
},
"external_recipient_email": "<string>",
"currency_symbol": "USD",
"network": "arbitrum"
}
'import requests
url = "https://b2b-api.dev-riseworks.io/v2/payments/external_entity/instant"
payload = {
"from": "<string>",
"amount_cents": 5000000050,
"payment_data": {
"role_description": "<string>",
"invoice_description": "<string>",
"rise_sow": True,
"services_description": "",
"payment_details": "",
"sow_link": "<string>",
"reason_id": 123
},
"external_recipient_email": "<string>",
"currency_symbol": "USD",
"network": "arbitrum"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
from: '<string>',
amount_cents: 5000000050,
payment_data: {
role_description: '<string>',
invoice_description: '<string>',
rise_sow: true,
services_description: '',
payment_details: '',
sow_link: '<string>',
reason_id: 123
},
external_recipient_email: '<string>',
currency_symbol: 'USD',
network: 'arbitrum'
})
};
fetch('https://b2b-api.dev-riseworks.io/v2/payments/external_entity/instant', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": {
"domain": {
"name": "<string>",
"version": "<string>",
"chainId": 123,
"verifyingContract": "<string>"
},
"types": {
"CreatePaymentForwardRequest": [
{
"name": "<string>",
"type": "<string>"
}
],
"RisePayment": [
{
"name": "<string>",
"type": "<string>"
}
]
},
"typed_data": {
"from": "<string>",
"to": "<string>",
"salt": "<string>",
"expires": "<string>",
"data": {
"id": "<string>",
"groupID": "<string>",
"payAtTime": "<string>",
"validMinutes": "<string>",
"payType": "<string>",
"token": "<string>",
"recipient": "<string>",
"amount": "<string>",
"data": "<string>"
}
},
"primary_type": "<string>"
}
}{
"success": false,
"data": "<string>",
"error_code": "<string>"
}{
"success": false,
"data": "<string>",
"error_code": "<string>"
}{
"success": false,
"data": "<string>",
"error_code": "<string>"
}{
"success": false,
"data": "<string>",
"error_code": "<string>"
}{
"success": false,
"data": "<string>",
"error_code": "<string>"
}B2B Bill Pay
Create an instant payment
POST
/
v2
/
payments
/
external_entity
/
instant
Create an instant payment
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Identifier of a Rise team (a workspace below a company). 15-character nanoid prefixed with te-.
Required string length:
15Pattern:
^te-.*Required range:
100 <= x <= 10000000000Show child attributes
Show child attributes
Available options:
USD Available options:
arbitrum ⌘I
